﻿using Syncfusion.UI.Xaml.Grid;
using Syncfusion.UI.Xaml.Grid.Helpers;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;
using System.Windows.Input;

namespace SfDataGridDemo
{
    public static class Commands
    {
        static Commands()
        {
            CommandManager.RegisterClassCommandBinding(typeof(CheckBox), new CommandBinding(CheckAndUnCheck, OnCheckUnCheckCommand, OnCanExecuteCheckAndUnCheck));
        }

        public static RoutedCommand CheckAndUnCheck = new RoutedCommand("CheckAndUnCheck", typeof(CheckBox));
        private static void OnCheckUnCheckCommand(object sender, ExecutedRoutedEventArgs args)
        {
            var orderinfo = (sender as CheckBox).DataContext as OrderInfo;
            var sfdatagrid = (args.Parameter as SfDataGrid);

            if (orderinfo.IsChecked)
            {
                orderinfo.IsChecked = true;
                sfdatagrid.SelectedItem = orderinfo;
            }
            else
            {
                orderinfo.IsChecked = false;
            }

        }
        private static void OnCanExecuteCheckAndUnCheck(object sender, CanExecuteRoutedEventArgs args)
        {
            args.CanExecute = true;
        }
    }
}
